curl --request GET \
--url https://staging.crossmint.com/api/v1-alpha1/minting/collections/{collectionId}/royalties \
--header 'X-API-KEY: <api-key>'import requests
url = "https://staging.crossmint.com/api/v1-alpha1/minting/collections/{collectionId}/royalties"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://staging.crossmint.com/api/v1-alpha1/minting/collections/{collectionId}/royalties', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"recipients": [
{
"address": "0x71C...",
"basisPoints": 100
}
]
}{
"error": true,
"message": "Invalid arguments or empty parameter <missing parameter>."
}{
"error": true,
"message": "Malformed API key. / API key provided doesn't have required scopes."
}{
"error": true,
"message": "Not found"
}{
"error": true,
"message": "Please try again in a few minutes. If the issue still persists, contact Crossmint support."
}Get Royalties Configuration
Fetch the royalty configuration for a collection, from its current state in the blockchain.
This API is only supported on EVM chains.
If you call GET too soon after PUT/DELETE, you may not yet see your latest changes, as they can take a few seconds to record on the blockchain.
API scope required: collections.read
Authorizations
Obtained in the Crossmint developer console
Path Parameters
This is the identifier for the collection related to the request. Every project has default collections: default-solana and default-polygon.
The create-collection API will result in collections with UUID formatted collectionId.
Example: 9c82ef99-617f-497d-9abb-fd355291681b
The create-collection-idempotent API allows you to specify an arbitrary identifier during the intitial request.
Example: your-custom-identifer
Response
Success.
Show child attributes
Show child attributes
Was this page helpful?

